<%-include('./shared/header.ejs',{active:'dashboard'})%>
<!-- ########## START: MAIN PANEL ########## -->
<div class="br-mainpanel">
  <div class="br-pageheader pd-y-15 pd-l-20">
    <nav class="breadcrumb pd-0 mg-0 tx-12">
      <a class="breadcrumb-item" href="/dashboard">Dashboard</a>
      <span class="breadcrumb-item active">Subject</span>
    </nav>
  </div>
  <!-- br-pageheader -->
  <div class="pd-x-20 pd-sm-x-30 pd-t-20 pd-sm-t-30">
    <h4 class="tx-gray-800 mg-b-5">Subject</h4>
    <p class="mg-b-0">&nbsp;</p>
  </div>

  <div class="br-pagebody">
    <!-- start you own content here -->
    <div class="br-section-wrapper">
      <a href="/subject_details"><h4 class="tx-gray-800 mg-b-5" align="right"><b>Manage Subject Details </b></h3></a>
     <br> <div class="form-layout form-layout-1 mb-5">
        <form id="" action="/subject_register" method="POST" enctype="multipart/form-data">
          <div class="row mg-b-25">
            <div class="col-lg-6">
              <div class="form-group">
             <label class="form-control-label">Choose Semester: <span class="tx-danger">*</span></label>
             <select style="width: 400px;height: 40px;" name="semester_id">
              <option value="">--Please Select--</option>
             <% details.forEach(function(details,index){ %>
               <option value="<%= details.degree.semester.id %>"><%= details.name %>&nbsp;&nbsp;-&nbsp;&nbsp;<%= details.degree.name %>&nbsp;&nbsp;-&nbsp;&nbsp;<%= details.degree.semester.name %></option>
              <% }); %>

             </select>

              </div>
            </div>
            <div class="col-lg-6">
              <div class="form-group">
                <label class="form-control-label"
                  >Subject name: <span class="tx-danger">*</span></label
                >
                <input
                  class="form-control"
                  type="text"
                  name="name"
                  placeholder="Enter Subject name"
                />
              </div>
            </div>
            <div class="col-lg-6">
              <div class="form-group">
                <label class="form-control-label"
                  >Price: <span class="tx-danger">*</span></label
                >
                <input
                  class="form-control"
                  type="text"
                  name="price"
                  placeholder="Enter Price Details"
                />
              </div>
            </div>
            <div class="col-lg-6">
              <div class="form-group">
                <label class="form-control-label"
                  >Image: <span class="tx-danger">*</span></label
                >
                <input class="form-control" type="file"  name="uploaded_image" accept=""/  required>
              </div>
            </div>


            <!-- col-4 -->
          </div>
          <!-- row -->
          <div class="form-layout-footer">
            <button class="btn btn-info">Submit</button>
          </div>
          <!-- form-layout-footer -->
        </form>
      </div>
      <!-- form-layout -->

        <!-- list -->
        



        <%-include('./shared/scripts.ejs')%>

<!-- <script>
  $("#mainForm").validate({
    normalizer: function (value) {
      return $.trim(value);
    },
    rules: {
      name: {
        required: true,
      },
      semester_id:{
        required: true,
      },
      price:{
        required: true,
      },
      
    },
    messages: {
        semester_id: {
        required: "Semester   is required",
      },
      name: {
        required: "Subject name is required",
      },
      price: {
        required: "Price is required",
      },
     
    },
    submitHandler: function (form) {
      $("button").prop("disabled", "disabled");
      var form = document.getElementById("mainForm");
       var data = new FormData(form);
       //console.log(data);exit();
      $.ajax({
        type: "POST",
        url: "/subject_register",
        data: $(form).serialize(),
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (data) {
          if (data.status == 1) {
            //toastr
            //end toastr
            setTimeout(function () {
              window.location.reload();
            }, 1000);
          } else {
            //toastr
            //end toastr
            setTimeout(function () {
              window.location.reload();
            }, 1000);
          }
          $("button").prop("disabled", false);
        },
        error: function (err) {
          $("button").prop("disabled", false);
        },
      });
      return false;
    },
  });
</script> -->

<%-include('./shared/footer.ejs')%>



